Bug 1838559 - openshift-installer can't find on RHV dedicated network
Summary: openshift-installer can't find on RHV dedicated network
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: All
OS: All
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: OCP on RHV Team
QA Contact: Jan Zmeskal
URL:
Whiteboard:
: 1829153 (view as bug list)
Depends On: 1841556
Blocks: 1852722
TreeView+ depends on / blocked
 
Reported: 2020-05-21 11:08 UTC by Olimp Bockowski
Modified: 2020-10-27 16:00 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: An ovirt-engine-sdk-go api error was compromising the parsing of the ovirt networks Consequence: the openshift-install was not showing all the available networks Fix: Fixed the code that parses networks XML fragment Result: all the available networks in the ovirt datacenter are shown in the openshift-install
Clone Of:
: 1852722 (view as bug list)
Environment:
Last Closed: 2020-10-27 16:00:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github oVirt ovirt-engine-sdk-go pull 206 0 None closed Networks parsing problem 2021-02-08 17:06:03 UTC
Github openshift installer pull 3823 0 None closed Bug 1838559: Bump go-ovirt 2021-02-08 17:06:03 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:00:42 UTC

Description Olimp Bockowski 2020-05-21 11:08:36 UTC
Description of problem:

So there is a quirk with OCP IPI on RHV. Having a dedicated Logical Network, for example "RHV-1" it ends up with:

Error: Invalid index
on ../../../../tmp/openshift-install-734816355/template/main.tf line 37 in locals:
37: network_id = [for n in local.cluster.networks: n.id if n.name == var.ovirt_network_name][0]
local.cluster.networks is list of object with 8 elements
var.ovirt_network_name is "RHV-1"
The given key does not identify an element in this collecton value.

At the beginning we thought Logical Network is not part of Datacenter - but it's. Later we found (thanks to the customer) that changing the name makes a difference, e.g. from RHV-1 to  OCP-NET1. The remarkable here is that new name will be before ovirtmgmt (about that clue later)

What we did:

- determined it's not the mater of paging - curl to RHV API working properly. Moreover fix code to avoid paging: 
networksResponse, err := networksService.List().Max(100).Send()

- found networks order matters

- narrowed down that the problem is in go-ovirt

- created reproducer

- weren't able to figure out why the reader gets a io.EOF on line 22169 after processing the 'ovirtmgmt' network, but we see it is somehow related to ovirtmgmt (when it hits it, it stops)

- some clue (maybe wrong): XMLNetworkReadMany invokes later XMLNetworkReadOne(reader, &t, "network") and in case of xml.StartElement being external_provider we  can fail somewhere at func XMLOpenStackNetworkProviderReadOne


Version-Release number of the following components:
4.3

How reproducible:
always

Steps to Reproduce:
1. RHV with 9+ Logical Networks
2. dedicated network after ovirtmgmt (in sorted alphabetically)
3. running openshift-installer with the dedicated Logical Network

Actual results:
fail

Expected results:
shows network

More details (code snippets and network lists) as private update due to customer specific data

Additional info:
Please attach logs from ansible-playbook with the -vvv flag

Comment 3 Roy Golan 2020-05-27 11:13:37 UTC
Dominik is there a differnce in how network resolver is handled between api version 4.3 and 4.4?

Comment 4 Dominik Holler 2020-05-27 14:22:43 UTC
(In reply to Roy Golan from comment #3)
> Dominik is there a differnce in how network resolver is handled between api
> version 4.3 and 4.4?

No, there is no change. I expect that the name_servers feature is used occasionally.

Comment 7 Douglas Schilling Landgraf 2020-05-28 21:33:59 UTC
Hi Olimp,

I cannot reproduce the report using the below spec. 
Please note, if we confirm the bug, we must open a bug into the ovirt-engine-sdk-java component (as I can't see the ovirt-engine-sdk-go) which is the API we are using to
communicate with Engine API (golang). After that, add [Depends on] in this bug.


Test Scenario
===========================

Engine versions tested:
----------------------------------
oVirt Engine: Software Version:4.3.9.4-1.el7
RHVM: Software Version:4.3.7.2-0.1.el7
RHVM: Software Version:4.3.9.4-1.el7


How I have created the nics?
--------------------------------
- Engine Administrator portal -> Network -> Networks -> New
             Name: nic${number}

  * I have repeated that for 15 times. 

- Additional test: Add Nameserver to ovirtmgmt (no difference)

Software
-----------------------
Reproducer provided in comment#1. Just updated my local RHVM.

$ grep inputRaw reproducer.go 
    inputRawURL := "https://rhevm43.medogz.home/ovirt-engine/api"


$ go run reproducer.go
2020/05/28 17:18:01 <<<<<<Request:
GET /ovirt-engine/api/networks HTTP/1.1
Host: rhevm43.medogz.home
User-Agent: GoSDK/4.4.2
Accept: application/xml
Authorization: Bearer x0zd7fZIjc1GGk3oO76l6vM1-EN3E01DjCddYzUcTlMc1nY3lGmiE4QeIYEi8AKXEjGBHdGLm2gLoGMD7jMzDA
Content-Type: application/xml
Version: 4
Accept-Encoding: gzip

Response:
HTTP/1.1 200 OK
Connection: close
Content-Type: application/xml;charset=UTF-8
Correlation-Id: eff7c604-7df6-41c7-8065-684a62fb57d4
Date: Thu, 28 May 2020 21:18:01 GMT
Server: Apache/2.4.6 (Red Hat Enterprise Linux) OpenSSL/1.0.2k-fips

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<networks>
    <network href="/ovirt-engine/api/networks/25c97bba-e6ec-482f-8992-4cbdd59270aa" id="25c97bba-e6ec-482f-8992-4cbdd59270aa">
        <name>nic1</name>
        <description></description>
        <comment></comment>
        <link href="/ovirt-engine/api/networks/25c97bba-e6ec-482f-8992-4cbdd59270aa/permissions" rel="permissions"/>
        <link href="/ovirt-engine/api/networks/25c97bba-e6ec-482f-8992-4cbdd59270aa/vnicprofiles" rel="vnicprofiles"/>
        <link href="/ovirt-engine/api/networks/25c97bba-e6ec-482f-8992-4cbdd59270aa/networklabels" rel="networklabels"/>
        <mtu>0</mtu>
        <stp>false</stp>
        <usages>
            <usage>vm</usage>
        </usages>
        <data_center href="/ovirt-engine/api/datacenters/96aa1e12-361c-11ea-b7a9-566fc47f0000" id="96aa1e12-361c-11ea-b7a9-566fc47f0000"/>
    </network>
    <network href="/ovirt-engine/api/networks/110e3256-bc45-44b7-b053-f9f3f077db39" id="110e3256-bc45-44b7-b053-f9f3f077db39">
        <name>nic10</name>
        <description></description>
        <comment></comment>
        <link href="/ovirt-engine/api/networks/110e3256-bc45-44b7-b053-f9f3f077db39/permissions" rel="permissions"/>
        <link href="/ovirt-engine/api/networks/110e3256-bc45-44b7-b053-f9f3f077db39/vnicprofiles" rel="vnicprofiles"/>
        <link href="/ovirt-engine/api/networks/110e3256-bc45-44b7-b053-f9f3f077db39/networklabels" rel="networklabels"/>
        <mtu>0</mtu>
        <stp>false</stp>
        <usages>
            <usage>vm</usage>
        </usages>
        <data_center href="/ovirt-engine/api/datacenters/96aa1e12-361c-11ea-b7a9-566fc47f0000" id="96aa1e12-361c-11ea-b7a9-566fc47f0000"/>
    </network>
    <network href="/ovirt-engine/api/networks/e2111c85-50b9-40ae-976e-8b5df09526e6" id="e2111c85-50b9-40ae-976e-8b5df09526e6">
        <name>nic11</name>
        <description></description>
        <comment></comment>
        <link href="/ovirt-engine/api/networks/e2111c85-50b9-40ae-976e-8b5df09526e6/permissions" rel="permissions"/>
        <link href="/ovirt-engine/api/networks/e2111c85-50b9-40ae-976e-8b5df09526e6/vnicprofiles" rel="vnicprofiles"/>
        <link href="/ovirt-engine/api/networks/e2111c85-50b9-40ae-976e-8b5df09526e6/networklabels" rel="networklabels"/>
        <mtu>0</mtu>
        <stp>false</stp>
        <usages>
            <usage>vm</usage>
        </usages>
        <data_center href="/ovirt-engine/api/datacenters/96aa1e12-361c-11ea-b7a9-566fc47f0000" id="96aa1e12-361c-11ea-b7a9-566fc47f0000"/>
    </network>
    <network href="/ovirt-engine/api/networks/dbdbfdae-9ef2-4bd7-8d66-40c90daecb6c" id="dbdbfdae-9ef2-4bd7-8d66-40c90daecb6c">
        <name>nic12</name>
        <description></description>
        <comment></comment>
        <link href="/ovirt-engine/api/networks/dbdbfdae-9ef2-4bd7-8d66-40c90daecb6c/permissions" rel="permissions"/>
        <link href="/ovirt-engine/api/networks/dbdbfdae-9ef2-4bd7-8d66-40c90daecb6c/vnicprofiles" rel="vnicprofiles"/>
        <link href="/ovirt-engine/api/networks/dbdbfdae-9ef2-4bd7-8d66-40c90daecb6c/networklabels" rel="networklabels"/>
        <mtu>0</mtu>
        <stp>false</stp>
        <usages>
            <usage>vm</usage>
        </usages>
        <data_center href="/ovirt-engine/api/datacenters/96aa1e12-361c-11ea-b7a9-566fc47f0000" id="96aa1e12-361c-11ea-b7a9-566fc47f0000"/>
    </network>
    <network href="/ovirt-engine/api/networks/f065a19f-7f8d-4eb6-bfac-6407e012581e" id="f065a19f-7f8d-4eb6-bfac-6407e012581e">
        <name>nic13</name>
        <description></description>
        <comment></comment>
        <link href="/ovirt-engine/api/networks/f065a19f-7f8d-4eb6-bfac-6407e012581e/permissions" rel="permissions"/>
        <link href="/ovirt-engine/api/networks/f065a19f-7f8d-4eb6-bfac-6407e012581e/vnicprofiles" rel="vnicprofiles"/>
        <link href="/ovirt-engine/api/networks/f065a19f-7f8d-4eb6-bfac-6407e012581e/networklabels" rel="networklabels"/>
        <mtu>0</mtu>
        <stp>false</stp>
        <usages>
            <usage>vm</usage>
        </usages>
        <data_center href="/ovirt-engine/api/datacenters/96aa1e12-361c-11ea-b7a9-566fc47f0000" id="96aa1e12-361c-11ea-b7a9-566fc47f0000"/>
    </network>
    <network href="/ovirt-engine/api/networks/c5a18331-2cd9-4115-8ecf-6f50db4b29d6" id="c5a18331-2cd9-4115-8ecf-6f50db4b29d6">
        <name>nic14</name>
        <description></description>
        <comment></comment>
        <link href="/ovirt-engine/api/networks/c5a18331-2cd9-4115-8ecf-6f50db4b29d6/permissions" rel="permissions"/>
        <link href="/ovirt-engine/api/networks/c5a18331-2cd9-4115-8ecf-6f50db4b29d6/vnicprofiles" rel="vnicprofiles"/>
        <link href="/ovirt-engine/api/networks/c5a18331-2cd9-4115-8ecf-6f50db4b29d6/networklabels" rel="networklabels"/>
        <mtu>0</mtu>
        <stp>false</stp>
        <usages>
            <usage>vm</usage>
        </usages>
        <data_center href="/ovirt-engine/api/datacenters/96aa1e12-361c-11ea-b7a9-566fc47f0000" id="96aa1e12-361c-11ea-b7a9-566fc47f0000"/>
    </network>
    <network href="/ovirt-engine/api/networks/2b36604b-5dd2-4f6b-a6eb-64f57b1e14d4" id="2b36604b-5dd2-4f6b-a6eb-64f57b1e14d4">
        <name>nic15</name>
        <description></description>
        <comment></comment>
        <link href="/ovirt-engine/api/networks/2b36604b-5dd2-4f6b-a6eb-64f57b1e14d4/permissions" rel="permissions"/>
        <link href="/ovirt-engine/api/networks/2b36604b-5dd2-4f6b-a6eb-64f57b1e14d4/vnicprofiles" rel="vnicprofiles"/>
        <link href="/ovirt-engine/api/networks/2b36604b-5dd2-4f6b-a6eb-64f57b1e14d4/networklabels" rel="networklabels"/>
        <mtu>0</mtu>
        <stp>false</stp>
        <usages>
            <usage>vm</usage>
        </usages>
        <data_center href="/ovirt-engine/api/datacenters/96aa1e12-361c-11ea-b7a9-566fc47f0000" id="96aa1e12-361c-11ea-b7a9-566fc47f0000"/>
    </network>
    <network href="/ovirt-engine/api/networks/470c1d2b-34e5-45d9-90bc-0a17c96f7249" id="470c1d2b-34e5-45d9-90bc-0a17c96f7249">
        <name>nic2</name>
        <description></description>
        <comment></comment>
        <link href="/ovirt-engine/api/networks/470c1d2b-34e5-45d9-90bc-0a17c96f7249/permissions" rel="permissions"/>
        <link href="/ovirt-engine/api/networks/470c1d2b-34e5-45d9-90bc-0a17c96f7249/vnicprofiles" rel="vnicprofiles"/>
        <link href="/ovirt-engine/api/networks/470c1d2b-34e5-45d9-90bc-0a17c96f7249/networklabels" rel="networklabels"/>
        <mtu>0</mtu>
        <stp>false</stp>
        <usages>
            <usage>vm</usage>
        </usages>
        <data_center href="/ovirt-engine/api/datacenters/96aa1e12-361c-11ea-b7a9-566fc47f0000" id="96aa1e12-361c-11ea-b7a9-566fc47f0000"/>
    </network>
    <network href="/ovirt-engine/api/networks/da534894-0400-4fa3-9b51-bc84f6524c46" id="da534894-0400-4fa3-9b51-bc84f6524c46">
        <name>nic3</name>
        <description></description>
        <comment></comment>
        <link href="/ovirt-engine/api/networks/da534894-0400-4fa3-9b51-bc84f6524c46/permissions" rel="permissions"/>
        <link href="/ovirt-engine/api/networks/da534894-0400-4fa3-9b51-bc84f6524c46/vnicprofiles" rel="vnicprofiles"/>
        <link href="/ovirt-engine/api/networks/da534894-0400-4fa3-9b51-bc84f6524c46/networklabels" rel="networklabels"/>
        <mtu>0</mtu>
        <stp>false</stp>
        <usages>
            <usage>vm</usage>
        </usages>
        <data_center href="/ovirt-engine/api/datacenters/96aa1e12-361c-11ea-b7a9-566fc47f0000" id="96aa1e12-361c-11ea-b7a9-566fc47f0000"/>
    </network>
    <network href="/ovirt-engine/api/networks/3f7920fe-e167-4bc2-9a6a-8d6238baed3e" id="3f7920fe-e167-4bc2-9a6a-8d6238baed3e">
        <name>nic4</name>
        <description></description>
        <comment></comment>
        <link href="/ovirt-engine/api/networks/3f7920fe-e167-4bc2-9a6a-8d6238baed3e/permissions" rel="permissions"/>
        <link href="/ovirt-engine/api/networks/3f7920fe-e167-4bc2-9a6a-8d6238baed3e/vnicprofiles" rel="vnicprofiles"/>
        <link href="/ovirt-engine/api/networks/3f7920fe-e167-4bc2-9a6a-8d6238baed3e/networklabels" rel="networklabels"/>
        <mtu>0</mtu>
        <stp>false</stp>
        <usages>
            <usage>vm</usage>
        </usages>
        <data_center href="/ovirt-engine/api/datacenters/96aa1e12-361c-11ea-b7a9-566fc47f0000" id="96aa1e12-361c-11ea-b7a9-566fc47f0000"/>
    </network>
    <network href="/ovirt-engine/api/networks/aa9ab2da-ed35-444c-846b-8382a999d65f" id="aa9ab2da-ed35-444c-846b-8382a999d65f">
        <name>nic5</name>
        <description></description>
        <comment></comment>
        <link href="/ovirt-engine/api/networks/aa9ab2da-ed35-444c-846b-8382a999d65f/permissions" rel="permissions"/>
        <link href="/ovirt-engine/api/networks/aa9ab2da-ed35-444c-846b-8382a999d65f/vnicprofiles" rel="vnicprofiles"/>
        <link href="/ovirt-engine/api/networks/aa9ab2da-ed35-444c-846b-8382a999d65f/networklabels" rel="networklabels"/>
        <mtu>0</mtu>
        <stp>false</stp>
        <usages>
            <usage>vm</usage>
        </usages>
        <data_center href="/ovirt-engine/api/datacenters/96aa1e12-361c-11ea-b7a9-566fc47f0000" id="96aa1e12-361c-11ea-b7a9-566fc47f0000"/>
    </network>
    <network href="/ovirt-engine/api/networks/d444e76f-9778-4723-929e-6e85bcf129d8" id="d444e76f-9778-4723-929e-6e85bcf129d8">
        <name>nic6</name>
        <description></description>
        <comment></comment>
        <link href="/ovirt-engine/api/networks/d444e76f-9778-4723-929e-6e85bcf129d8/permissions" rel="permissions"/>
        <link href="/ovirt-engine/api/networks/d444e76f-9778-4723-929e-6e85bcf129d8/vnicprofiles" rel="vnicprofiles"/>
        <link href="/ovirt-engine/api/networks/d444e76f-9778-4723-929e-6e85bcf129d8/networklabels" rel="networklabels"/>
        <mtu>0</mtu>
        <stp>false</stp>
        <usages>
            <usage>vm</usage>
        </usages>
        <data_center href="/ovirt-engine/api/datacenters/96aa1e12-361c-11ea-b7a9-566fc47f0000" id="96aa1e12-361c-11ea-b7a9-566fc47f0000"/>
    </network>
    <network href="/ovirt-engine/api/networks/8d65f46d-8a34-405a-b781-edb1d1c7399d" id="8d65f46d-8a34-405a-b781-edb1d1c7399d">
        <name>nic7</name>
        <description></description>
        <comment></comment>
        <link href="/ovirt-engine/api/networks/8d65f46d-8a34-405a-b781-edb1d1c7399d/permissions" rel="permissions"/>
        <link href="/ovirt-engine/api/networks/8d65f46d-8a34-405a-b781-edb1d1c7399d/vnicprofiles" rel="vnicprofiles"/>
        <link href="/ovirt-engine/api/networks/8d65f46d-8a34-405a-b781-edb1d1c7399d/networklabels" rel="networklabels"/>
        <mtu>0</mtu>
        <stp>false</stp>
        <usages>
            <usage>vm</usage>
        </usages>
        <data_center href="/ovirt-engine/api/datacenters/96aa1e12-361c-11ea-b7a9-566fc47f0000" id="96aa1e12-361c-11ea-b7a9-566fc47f0000"/>
    </network>
    <network href="/ovirt-engine/api/networks/37b776cc-1b2a-4324-83bb-9f98532951a4" id="37b776cc-1b2a-4324-83bb-9f98532951a4">
        <name>nic8</name>
        <description></description>
        <comment></comment>
        <link href="/ovirt-engine/api/networks/37b776cc-1b2a-4324-83bb-9f98532951a4/permissions" rel="permissions"/>
        <link href="/ovirt-engine/api/networks/37b776cc-1b2a-4324-83bb-9f98532951a4/vnicprofiles" rel="vnicprofiles"/>
        <link href="/ovirt-engine/api/networks/37b776cc-1b2a-4324-83bb-9f98532951a4/networklabels" rel="networklabels"/>
        <mtu>0</mtu>
        <stp>false</stp>
        <usages>
            <usage>vm</usage>
        </usages>
        <data_center href="/ovirt-engine/api/datacenters/96aa1e12-361c-11ea-b7a9-566fc47f0000" id="96aa1e12-361c-11ea-b7a9-566fc47f0000"/>
    </network>
    <network href="/ovirt-engine/api/networks/10f91412-a924-4b27-ac06-626d8539c300" id="10f91412-a924-4b27-ac06-626d8539c300">
        <name>nic9</name>
        <description></description>
        <comment></comment>
        <link href="/ovirt-engine/api/networks/10f91412-a924-4b27-ac06-626d8539c300/permissions" rel="permissions"/>
        <link href="/ovirt-engine/api/networks/10f91412-a924-4b27-ac06-626d8539c300/vnicprofiles" rel="vnicprofiles"/>
        <link href="/ovirt-engine/api/networks/10f91412-a924-4b27-ac06-626d8539c300/networklabels" rel="networklabels"/>
        <mtu>0</mtu>
        <stp>false</stp>
        <usages>
            <usage>vm</usage>
        </usages>
        <data_center href="/ovirt-engine/api/datacenters/96aa1e12-361c-11ea-b7a9-566fc47f0000" id="96aa1e12-361c-11ea-b7a9-566fc47f0000"/>
    </network>
    <network href="/ovirt-engine/api/networks/00000000-0000-0000-0000-000000000009" id="00000000-0000-0000-0000-000000000009">
        <name>ovirtmgmt</name>
        <description>Management Network</description>
        <comment></comment>
        <link href="/ovirt-engine/api/networks/00000000-0000-0000-0000-000000000009/permissions" rel="permissions"/>
        <link href="/ovirt-engine/api/networks/00000000-0000-0000-0000-000000000009/vnicprofiles" rel="vnicprofiles"/>
        <link href="/ovirt-engine/api/networks/00000000-0000-0000-0000-000000000009/networklabels" rel="networklabels"/>
        <dns_resolver_configuration>
            <name_servers>
                <name_server>8.8.8.8</name_server>
            </name_servers>
        </dns_resolver_configuration>
        <mtu>0</mtu>
        <stp>false</stp>
        <usages>
            <usage>vm</usage>
        </usages>
        <data_center href="/ovirt-engine/api/datacenters/96aa1e12-361c-11ea-b7a9-566fc47f0000" id="96aa1e12-361c-11ea-b7a9-566fc47f0000"/>
    </network>
</networks>
>>>>>>
2020/05/28 17:18:01 Parsed network list:
2020/05/28 17:18:01 nic1
2020/05/28 17:18:01 nic10
2020/05/28 17:18:01 nic11
2020/05/28 17:18:01 nic12
2020/05/28 17:18:01 nic13
2020/05/28 17:18:01 nic14
2020/05/28 17:18:01 nic15
2020/05/28 17:18:01 nic2
2020/05/28 17:18:01 nic3
2020/05/28 17:18:01 nic4
2020/05/28 17:18:01 nic5
2020/05/28 17:18:01 nic6
2020/05/28 17:18:01 nic7
2020/05/28 17:18:01 nic8
2020/05/28 17:18:01 nic9
2020/05/28 17:18:01 ovirtmgmt


Additional info:
------------------------------
NAME="Red Hat Enterprise Linux Server"
VERSION="7.8 (Maipo)"
ID="rhel"
ID_LIKE="fedora"
VARIANT="Server"
VARIANT_ID="server"
VERSION_ID="7.8"
PRETTY_NAME="Red Hat"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:7.8:GA:server"
HOME_URL="https://www.redhat.com/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"

REDHAT_BUGZILLA_PRODUCT="Red Hat Enterprise Linux 7"
REDHAT_BUGZILLA_PRODUCT_VERSION=7.8
REDHAT_SUPPORT_PRODUCT="Red Hat Enterprise Linux"
REDHAT_SUPPORT_PRODUCT_VERSION="7.8"
ovirt-engine-setup-plugin-websocket-proxy-4.3.9.4-11.el7.noarch
ovirt-engine-setup-plugin-ovirt-engine-4.3.9.4-11.el7.noarch
ovirt-engine-extensions-api-impl-4.3.9.4-11.el7.noarch
ovirt-engine-4.3.9.4-11.el7.noarch
ovirt-engine-setup-plugin-ovirt-engine-common-4.3.9.4-11.el7.noarch
ovirt-engine-vmconsole-proxy-helper-4.3.9.4-11.el7.noarch
ovirt-engine-setup-4.3.9.4-11.el7.noarch
ovirt-engine-websocket-proxy-4.3.9.4-11.el7.noarch
ovirt-engine-ui-extensions-1.0.10-1.el7ev.noarch
ovirt-engine-dwh-4.3.8-1.el7ev.noarch
python-ovirt-engine-sdk4-4.3.2-1.el7ev.x86_64
ovirt-engine-tools-backup-4.3.9.4-11.el7.noarch
ovirt-engine-webadmin-portal-4.3.9.4-11.el7.noarch
ovirt-engine-restapi-4.3.9.4-11.el7.noarch
ovirt-engine-dwh-setup-4.3.8-1.el7ev.noarch
ovirt-engine-metrics-1.3.7-1.el7ev.noarch
ovirt-engine-api-explorer-0.0.5-1.el7ev.noarch
python2-ovirt-engine-lib-4.3.9.4-11.el7.noarch
ovirt-engine-setup-base-4.3.9.4-11.el7.noarch
ovirt-engine-backend-4.3.9.4-11.el7.noarch
ovirt-engine-setup-plugin-cinderlib-4.3.9.4-11.el7.noarch
ovirt-engine-tools-4.3.9.4-11.el7.noarch
ovirt-engine-extension-aaa-jdbc-1.1.10-1.el7ev.noarch
ovirt-engine-setup-plugin-vmconsole-proxy-helper-4.3.9.4-11.el7.noarch
ovirt-engine-dbscripts-4.3.9.4-11.el7.noarch
rhvm-branding-rhv-4.3.5-1.el7ev.noarch
rhvm-4.3.9.4-11.el7.noarch
rhvm-dependencies-4.3.2-1.el7ev.noarch
rhvm-doc-4.3.4-1.el7ev.noarch
rhvm-setup-plugins-4.3.5-1.el7ev.noarch

Please let me know if I am missing any step.

Thanks!

Comment 8 Douglas Schilling Landgraf 2020-05-28 21:38:13 UTC
Additional tests against OCP:
---------------------------------

Works for me too. Just use the keyboard arrow key (down) to see more networks available.

$ bin/openshift-install version
bin/openshift-install unreleased-master-3086-g509475919297daaf581b8e269546f83884fffd36-dirty
built from commit 509475919297daaf581b8e269546f83884fffd36
release image registry.svc.ci.openshift.org/origin/release:4.5

Comment 9 Miguel Martin 2020-05-29 07:58:58 UTC
Hi Douglas,

You are doing it right, the problem is that there's no network defined after 'ovirtmgmt' in the XML. You can try to define a new network with a name alphabetically after 'ovirtmgmt' or change any existing one (let's say "nic10") to include the 'DNS Configuration' settings and try again. In the latter case, all the networks after nic10 will not be displayed.

Hope this helps

Comment 10 Douglas Schilling Landgraf 2020-05-29 11:40:53 UTC
*** Bug 1829153 has been marked as a duplicate of this bug. ***

Comment 11 Douglas Schilling Landgraf 2020-05-29 11:42:05 UTC
(In reply to Miguel Martin from comment #9)
> Hi Douglas,
> 
> You are doing it right, the problem is that there's no network defined after
> 'ovirtmgmt' in the XML. You can try to define a new network with a name
> alphabetically after 'ovirtmgmt' or change any existing one (let's say
> "nic10") to include the 'DNS Configuration' settings and try again. In the
> latter case, all the networks after nic10 will not be displayed.
> 
> Hope this helps

Thanks for the clarification Miguel, I was able to reproduce!

Comment 12 Douglas Schilling Landgraf 2020-06-01 15:13:08 UTC
Roberto is working in the "Depends on" Bug, moving to him.

Comment 13 Roberto Ciatti 2020-06-04 08:15:06 UTC
Sent a PR to solve the problem and added tests to verify and avoid future regressions

Comment 14 Roberto Ciatti 2020-06-04 08:25:16 UTC
I think that this bug is originated by the problem on parsing the networks XML. 
In particular when inside of one network there's the dns_resolver_configuration, the following networks will not be correctly parsed, because of a problem of parser wrong depth level.

Comment 17 Jan Zmeskal 2020-06-11 13:50:38 UTC
Hi Roberto, the behaviour (best described in comment 9) still reproduces with openshift-install-linux-4.6.0-0.nightly-2020-06-11-041445. These are my networks in RHV engine: https://pastebin.com/cBFhu3JK

This is my verification attempt:
./openshift-install create install-config
? SSH Public Key /root/.ssh/id_rsa.pub
? Platform ovirt
? Cluster golden_env_mixed_1
? Storage domain iscsi_0
? Network  [Use arrows to move, enter to select, type to filter, ? for more help]
  a
> b_with_dns

Only two networks are displayed. The full list should be:
a
b_with_dns
c
ovirtmgmt
x
y_with_dns
z

That's however not the case. The list stops after first network with DNS configuration (b_with_dns) is encountered. I have very little insight into Installer code. But I believe it's not enough to fix the issue ovirt-engine-sdk-go, we must all "tell" the Installer to use the newer version of Go SDK. At least that's what I saw in Roy's fixes in the past.

Comment 18 Roberto Ciatti 2020-06-11 13:58:34 UTC
Hi Jan,
  yes that's the point, we need to bump the version of go-ovirt, generated by the ovirt-engine-sdk-go, used by the installer. So we can test it.
Otherwise we are probably using the previous version.

Comment 19 Jan Zmeskal 2020-06-15 06:11:44 UTC
Hi Roberto, 

this is probably just us still trying to settle in the process side of things, so I'm removing FailedQA flag. But please, as a general rule, if a BZ's component is Installer, let's not move it to ON_QA until the fix is actually consumable within openshift-install.

Comment 20 Roberto Ciatti 2020-06-15 06:30:40 UTC
Hi Jan,
   got it.

Comment 23 Jan Zmeskal 2020-07-16 11:29:34 UTC
Seems like everything works as expected now.

Verified with:
openshift-isntall 4.6.0-0.ci-2020-07-16-011059
RHV 4.3.11.2-0.1.el7

Verification steps:
[root@ocp-qe-1 networks]# ./openshift-install create install-config
? SSH Public Key /root/.ssh/id_rsa.pub
? Platform ovirt
? Cluster golden_env_mixed_2
? Storage domain iscsi_0
? Network  [Use arrows to move, enter to select, type to filter, ? for more help]
> a
  b_with_dns
  c
  ovirtmgmt
  z_with_dns

Comment 26 errata-xmlrpc 2020-10-27 16:00:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.